//*************************************************************************************
// 	: SQ7615_TCA.h
// 汾		: V3.2
// 		: TCA ͷļ
// ע		:        
//**************************************************************************************
#ifndef _SQ7615_TCA_H__
#define _SQ7615_TCA_H__

/* ---------------------- extern ȫֱ ------------------------- */
extern unsigned int captch_count;
extern unsigned char TCA0_Int_Flag,TCA1_Int_Flag;	// TCA0,TCA1жϷ

/* ---------------------- Զ ------------------------------ */
#define d_10Hz_Count 1171   				// 1171*42.6667us Լ=0.05s жһΣ(P2.4)򣬹ƵԼΪ10Hz
#define d_25Hz_Count 468
#define d_50hz_Count 234

#define TCA_count_scale 42  				// 1024/24 = 42.66 


//------------------------------------------------------------------
void TCA0_Timer_Init();						// TCA0 ʱģʽʼ
void TCA0_IntEnable();						// STCA0ж
void TCA0_SetPeriod(unsigned int period);	// 趨TCA0
void TCA0_Start();							// TCA0,ʼ
void TCA0_Stop();							// TCA0ֹͣ

void TCA1_PulseMeasure_Init();				// TCA1ģʽʼ
void TCA1_IntEnable();						// STCA1ж
void TCA1_Start();							// TCA1ʼ
void TCA1_Stop();							// TCA1ֹͣ
unsigned int TCA1_ReadSingleCapture();		// ȡֵ
unsigned int TCA1_ReadDoubleCapture();		// ȡ

void __interrupt IntTCA0(void);				// TCA0 жӳ
void __interrupt IntTCA1(void);				// TCA1 жӳ
#endif


